/*
 * Copyright (c) 2010 IMS Global Learning Consortium
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * permissions and limitations under the License. 
 */

public class ASNBrowserStatementObject
{
	private String _uri = null;
	private String _authorityStatus = null;
	private String _indexingStatus = null;
	private String _educationLevel = null;
	private String _subject = null;
	private String _description = null;
	private String _identifier = null;
	private String _language = null;

	public ASNBrowserStatementObject(String uri,
							   String authorityStatus,
							   String indexingStatus,
							   String educationLevel,
							   String subject,
							   String description,
							   String identifier,
							   String language)
	{
		_uri = uri;
		_authorityStatus = authorityStatus;
		_indexingStatus = indexingStatus;
		_educationLevel = educationLevel;
		_subject = subject;
		_description = description;
		_identifier = identifier;
		_language = language;
	}
	
	public String getUri()
	{
		return _uri;
	}
	
	public String getAuthorityStatus()
	{
		return _authorityStatus;
	}
	
	public String getIndexingStatus()
	{
		return _indexingStatus;
	}
	
	public String getEducationLevel()
	{
		return _educationLevel;
	}
	
	public String getSubject()
	{
		return _subject;
	}
	
	public String getDescription()
	{
		return _description;
	}
	
	public String getIdentifier()
	{
		return _identifier;
	}
	
	public String getLanguage()
	{
		return _language;
	}
	
	public String toString()
	{
		return _description;
	}
}
